#include<bits/stdc++.h>
using namespace std;

void solution(long long x1, long long y1, long long x2, long long y2, long long a, long long b) {
    long long x3 = abs(x2 - x1), y3 = abs(y2 - y1);
    if(a < x3 || b < y3) {
        cout<<'0'<<endl;
        return;
    }
    cout<<(a-x3+1) * (b-y3+1)<<endl;
}

int main() {
    ios_base::sync_with_stdio(false);
    cin.tie(nullptr);

    long long t;
    cin>>t;
    long long x1, y1, x2, y2, a, b;
    for(long long i = 0; i < t; i++) {
        cin>>x1>>y1>>x2>>y2>>a>>b;
        solution(x1, y1, x2, y2, a, b);
    }

    return 0;
}
